org.apache.commons.math.analysis.interpolation

## Interface MultivariateRealInterpolator

All Known Implementing Classes:
  MicrosphereInterpolator

    public interface MultivariateRealInterpolator

Interface representing a univariate real interpolating function.

Since:
  2.1
Version:
  $Revision: 924794 $ $Date: 2010-03-18 15:15:50 +0100 (jeu. 18 mars 2010) $

### Method Summary

Methods
`MultivariateRealFunction` `interpolate(double[][] xval, double[] yval)` Computes an interpolating function for the data set.

### Method Detail

#### interpolate

    MultivariateRealFunction interpolate(double[][] xval,
                                       double[] yval)
                                         throws MathException,
                                                IllegalArgumentException

Computes an interpolating function for the data set.

Parameters:
  `xval` - the arguments for the interpolation points. `xval[i][0]` is the first component of interpolation point `i`, `xval[i][1]` is the second component, and so on until `xval[i][d-1]`, the last component of that interpolation point (where `d` is thus the dimension of the space).
  `yval` - the values for the interpolation points
Returns:
  a function which interpolates the data set
Throws:
  `MathException` - if arguments violate assumptions made by the interpolation algorithm or some dimension mismatch occurs
  `IllegalArgumentException` - if there are no data (xval null or zero length)